Search Results for

Show / Hide Table of Contents

# Class Curses.MouseEvent

##### Inheritance

System.Object
Curses.MouseEvent

###### Namespace: Unix.Terminal

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class MouseEvent : ValueType

### Fields

#### ButtonState

##### Declaration

    public Curses.Event ButtonState

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### ID

##### Declaration

    public short ID

##### Field Value

Type | Description
--- | ---
System.Int16 |

#### X

##### Declaration

    public int X

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### Y

##### Declaration

    public int Y

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### Z

##### Declaration

    public int Z

##### Field Value

Type | Description
--- | ---
System.Int32 |